Bug 152326 - bio slab cache leak
bio slab cache leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 11:29 EST by Nathan Huff
Modified: 2015-01-04 17:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 16:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan Huff 2005-03-28 11:29:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
The bio slab cache on RHEL 4 kernels seems to have a memory leak, or at least is
not freeing cached objects.  After 4 days a machine that we use to process incoming mail has the following entry in /proc/slabinfo

biovec-1          2519354 2520804     16  226    1 : tunables  120   60    8 :\    
    slabdata  11154  11154    360
bio               2519338 2519696     96   41    1 : tunables  120   60    8 :\ 
    slabdata  61456  61456    300

Another box that is running a UP kernel and is just sitting idle has the following enteries

biovec-1           34808  35030     16  226    1 : tunables  120   60    0 : \
    slabdata    155    155      0
bio                34808  34906    128   31    1 : tunables  120   60    0 : \
    slabdata   1126   1126      0

The first box has to be rebooted about every 5 days or it runs out of memory.

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.0.3.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot RHEL 4 box with stock kernel
2. Let run for a couple days

  

Actual Results:  Available memory constantly goes down.

Expected Results:  Available memory shouldn't dissapear.

Additional info:

The box with 2.5 million active bio's is an SMP box the other is UP.  They both use MD devices for all partitions.

This thread on LKML seems to talk about similar symptoms, though it is for 2.6.11-rc1.
Comment 1 Dave Jones 2005-03-28 12:41:11 EST
theres a fix in testing for this problem in the in-progress U1 kernel.
http://people.redhat.com/davej/kernels/RHEL4 has current snapshots of this, but
be warned, these have not completed QA yet, and may offer additional problems.
Comment 2 Seth Vidal 2005-05-13 10:23:25 EDT
How are things looking for the kernel for U1. Will this fix be in there or did
this fix come out with the recent security errata for EL4?
Comment 3 Dave Jones 2005-05-15 21:14:03 EDT
no, the security errata had security patches, and nothing else.
It should be fixed in the current U1 builds.

Note You need to log in before you can comment on or make changes to this bug.